/*
Nome: Mario
Cognome: Montanari
Classe: 3AIN
Data: 07/05/2025

1) Aprire https://hexed.it/
2) Visualizza la dimensione del tipo int.
3) Crea tre file binari ("file_70.bin", "file_100.bin" e
"file_200.bin") e vi scrive rispettivamente 70, 100 e 200
interi, da 1 fino al numero di interi specificato.
*/

#include <iostream>

using namespace std;

int main(void) {
	cout << "sizeof(int): " << sizeof(int) << endl;
	
	FILE * file_70 = fopen("file_70.bin", "wb");
	FILE * file_100 = fopen("file_100.bin", "wb");
	FILE * file_200 = fopen("file_200.bin", "wb");
	
	if (file_70 != NULL && file_100 != NULL && file_200 != NULL) {
		int num = 1;
		
		for (int i = 0; i < 70; i++) {
			fwrite(&num, sizeof(int), 1, file_70);
			num++;
		}
		
		num = 1;
		
		for (int i = 0; i < 100; i++) {
			fwrite(&num, sizeof(int), 1, file_100);
			num++;
		}
		
		num = 1;
		
		for (int i = 0; i < 200; i++) {
			fwrite(&num, sizeof(int), 1, file_200);
			num++;
		}
		
		fclose(file_70);
		fclose(file_100);
		fclose(file_200);
	} else {
		perror("Error");
	}
	
	return 0;
}